<!doctype html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE-edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>List of Receipts</title>
</head>

<body>
    <header>
        <nav>
            <ul>
                {% if user.is_authenticated %}
                <li><a href="{% url 'home' %}">Home</a></li>
                <li><a href="{% url 'create_receipt' %}">Create Receipt</a></li>
                <li><a href="{% url 'create_category' %}">Create Category</a></li>
                <li><a href="{% url 'create_account' %}">Create Account</a></li>
                <li><a href="{% url 'logout' %}">Logout</a></li>
                {% else %}
                <li><a href="{% url 'signup' %}">Sign Up</a></li>
                <li><a href="{% url 'login' %}">Login</a></li>
                {% endif %}
            </ul>
        </nav>
    </header>
    <main>
        <h1>Categories</h1>
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Number of Receipts</th>
                </tr>
            </thead>
            <tbody>
                {% for category in categories %}
                <tr>
                    <td>{{ category.name }}</td>
                    <td>{{ category.receipts.all|length }}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
</body>

</html>